Subject: [IPsec] IKEv2 bis section order

From: Yaron Sheffer <[email-masked]>
Date: Wed, 1 Jul 2009 19:36:50 +0300

Hi,

RFC 4306 has an extremely long introductory section, which basically
contains a normative description of the main protocol exchanges. In v2bis,
we tried to stick to the original section order, but I think that making a
change here would make the document much more understandable, especially to
newcomers. I suggest to keep the introduction short, and move the normative
description of the basic protocol exchanges into its own section.

So instead of the current:

   1.  Introduction
     1.1.  Usage Scenarios
       1.1.1.  Security Gateway to Security Gateway Tunnel Mode
       1.1.2.  Endpoint-to-Endpoint Transport Mode
       1.1.3.  Endpoint to Security Gateway Tunnel Mode
       1.1.4.  Other Scenarios
     1.2.  The Initial Exchanges
     1.3.  The CREATE_CHILD_SA Exchange
       1.3.1.  Creating New Child SAs with the CREATE_CHILD_SA
               Exchange
       1.3.2.  Rekeying IKE SAs with the CREATE_CHILD_SA Exchange
       1.3.3.  Rekeying Child SAs with the CREATE_CHILD_SA
               Exchange
     1.4.  The INFORMATIONAL Exchange
       1.4.1.  Deleting an SA with INFORMATIONAL Exchanges
     1.5.  Informational Messages outside of an IKE SA
     1.6.  Requirements Terminology
     1.7.  Differences Between RFC 4306 and This Document
   2.  IKE Protocol Details and Variations

I'd like to propose:

   1.  Introduction
     1.1.  Usage Scenarios
       1.1.1.  Security Gateway to Security Gateway Tunnel Mode
       1.1.2.  Endpoint-to-Endpoint Transport Mode
       1.1.3.  Endpoint to Security Gateway Tunnel Mode
       1.1.4.  Other Scenarios
     1.2.  Requirements Terminology

   2.  IKE Protocol Overview (or "Essentials") [today's Sec. 1.2-1.5]
     2.1.  The Initial Exchanges
     2.2.  The CREATE_CHILD_SA Exchange
       2.2.1.  Creating New Child SAs with the CREATE_CHILD_SA
               Exchange
       2.2.2.  Rekeying IKE SAs with the CREATE_CHILD_SA Exchange
       2.2.3.  Rekeying Child SAs with the CREATE_CHILD_SA
               Exchange
     2.3.  The INFORMATIONAL Exchange
       2.3.1.  Deleting an SA with INFORMATIONAL Exchanges
     2.4.  Informational Messages outside of an IKE SA

   3.  IKE Protocol Details and Variations [today's Sec. 2]

   Appendix X: Differences Between RFC 4306 and This Document [today's Sec.
1.7]

Do you see value in this, or do you prefer keeping the existing order?

Thanks,
	Yaron

---

From: David Wierbowski <[email-masked]>
Date: Wed, 1 Jul 2009 14:03:27 -0400

Yaron,

Your proposed reordering seems fine to me.  I agree with moving section 1.7
to an appendix.  Moving  sections 1.2-1.5 to sections 2-2.4 does not add a
great deal of value, but does make sense. I think either way is fine. I
have no preference realtive to the section 1.2-1.5 move.

Dave Wierbowski

z/OS Comm Server Developer

 Phone:
    Tie line:   620-4055
    External:  607-429-4055

             Yaron Sheffer                                                 
             <yaronf@checkpoin                                             
             t.com>                                                     To 
             Sent by:                  "[email-masked]" <[email-masked]>   
             ipsec-bounces@iet                                          cc 
             f.org                                                         
                                                                   Subject 
                                       [IPsec] IKEv2 bis section order     
             07/01/2009 12:36                                              
             PM                                                            

Hi,

   1.  Introduction
     1.1.  Usage Scenarios

I'd like to propose:

   1.  Introduction
     1.1.  Usage Scenarios

Thanks,
             Yaron
(See attached file: smime.p7s)
_______________________________________________
IPsec mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ipsec

---

From: Paul Hoffman <[email-masked]>
Date: Wed, 1 Jul 2009 13:41:11 -0700

>   Appendix X: Differences Between RFC 4306 and This Document [today's Sec.

A different idea is to simply rename Section 1 "IKE Protocol Overview", and move the requirements terminology (which is, in essence, boilerplate that most people ignore anyway) and the differences to appendixes.

>Do you see value in this, or do you prefer keeping the existing order?

I see only minor value to the original proposal, and a high cost to me (the editor). I think my alternate proposal isn't so onerous, but am happy to follow Yaron's proposal if people really like it.

--Paul Hoffman, Director
--VPN Consortium

---

From: Raj Singh <[email-masked]>
Date: Thu, 2 Jul 2009 11:50:07 +0530

Hi Team,

I think we can have Introduction and IKE Protocol View [today's Sec.
1.2-1.5] as Section 1 and move Usage scenario to IKE Protocol Details and
Variations.
Usage scenario can make more sense after brief protocol description and it's
difference with IKEv1.

Regards,
Raj

On Thu, Jul 2, 2009 at 2:11 AM, Paul Hoffman <[email-masked]> wrote:

> A different idea is to simply rename Section 1 "IKE Protocol Overview", and
> move the requirements terminology (which is, in essence, boilerplate that
> most people ignore anyway) and the differences to appendixes.
>
> I see only minor value to the original proposal, and a high cost to me (the
> editor). I think my alternate proposal isn't so onerous, but am happy to
> follow Yaron's proposal if people really like it.
>
> --Paul Hoffman, Director
> --VPN Consortium